Subject: Re: How to include text from 'fortune'?

From: Robin S Socha <[email-masked]>
Date: Tue, 1 Apr 1997 12:32:31 +0200 (CEST)

-----BEGIN PGP SIGNED MESSAGE-----

On Sat, 22 Mar 1997, Omar Qureshi wrote:

  >I was wondering if it was possible to append output from the Unix
  >'fortune' command at the end of every mail message sent out from my
  >account ?

You need a so called sending filter for that. Put something like this in
your ~/.pinerc:

# This defines a program that message text is piped into before MIME
# encoding, prior to sending
	sending-filters=~/bin/fortune

i.e. if you've decided to create a file in ~/bin that contains the following
line:
	fortune
	
and afterwards have chmod'ed it with a+x or whatever (thereby making it an
executable). Check the chmod man page to see which permissions you want to
give. However, I don't think that appending fortunes a good idea, because
some of them are rather lengthy and you'd end up with a 50 odd line
signature.

You could of course edit the original fortunes file and strip it of those
messages. BTW, to edit the fortunes-o files, you need rot-13 (Caesarian
rotation) as offered e.g. by Emacs >:->

Ceterum censeo that Ray Cummings <[email-masked]> is a whiner...
How come I've never seen an answer from you, Ray, just whining, moaning and
complaining? Are you trying to make yourself feel "better" (hehehe) by that?

Later,
Robin

- -----
Robin S. Socha,
Political Science Dept., Bonn University, Bonn
Key fingerprint = 7F F2 84 73 CF E9 2C 92  F6 6E F9 B4 8F FE AC 1E
To get my pgp public key, send an e-mail with the subject "get pgp-key"

GMC d++ s+:+ a- C++ UL++$>+++$ P+>++$ E>+ W- N+ o@ w--- M-- PS--- PE+++ Y+
PGP++>+++ t+() 5-- tv++(+) b+++ DI++ D+(++) G++>+++ e++>+++ h r++>+++ y+**